Table of Contents

## Name

glGenTextures - generate texture names

## C Specification

void glGenTextures( GLsizei n,

        GLuint *textures )

## Parameters

n
  Specifies the number of texture names to be generated.
textures
  Specifies an array in which the generated texture names are stored.

## Description

glGenTextures returns n texture names in textures. There is no guarantee that the names form a contiguous set of integers; however, it is guaranteed that none of the returned names was in use immediately before the call to glGenTextures.

The generated textures have no dimensionality; they assume the dimensionality of the texture target to which they are first bound (see glBindTexture).

Texture names returned by a call to glGenTextures are not returned by subsequent calls, unless they are first deleted with glDeleteTextures.

## Notes

glGenTextures is available only if the GL version is 1.1 or greater.

## Errors

GL_INVALID_VALUE is generated if n is negative.

GL_INVALID_OPERATION is generated if glGenTextures is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glIsTexture

## See Also

glBindTexture(3G) , glCopyTexImage1D(3G) , glCopyTexImage2D(3G) , glDeleteTextures(3G) , glGet(3G) , glGetTexParameter(3G) , glTexImage1D(3G) , glTexImage2D(3G) , glTexImage3D(3G) , glTexParameter(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- Errors
- Associated Gets
- See Also